Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
studio_project = client.studio_projects.update(
studio_project_id="studio_project_id",
)
print(studio_project.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
studioProject, err := client.StudioProjects.Update(
context.TODO(),
"studio_project_id",
sgp.StudioProjectUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", studioProject.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/studio-projects/{studio_project_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"studio_api_key": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', studio_api_key: '<string>'})
};
fetch('https://api.egp.scale.com/v4/studio-projects/{studio_project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Studio Projects
Update Studio Project
Description
Updates a studio project
Details
This API can be used to update the studio project that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Studio Project API call as a path parameter.
Review the request schema to see the fields that can be updated.
PATCH
/
v4
/
studio-projects
/
{studio_project_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
studio_project = client.studio_projects.update(
studio_project_id="studio_project_id",
)
print(studio_project.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
studioProject, err := client.StudioProjects.Update(
context.TODO(),
"studio_project_id",
sgp.StudioProjectUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", studioProject.ID)
}
Path Parameters
Body
application/json
Response
Successful Response
The name of the Studio Project
The description of the Studio Project
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account 
